Page MenuHomePhabricator

Expose definition end point in public REST API on Wiktionary
Closed, ResolvedPublic

Description

After an offline discussion we decided to

  • remove the summary end point for wiktionaries, as it is not actually returning useful extracts, and
  • add a definition end point exposing the new definition functionality in the mobile app content service.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 8 2016, 10:19 PM
GWicke set Security to None.

I've made a PR for RESTBase to expose the definition endpoint. It also does some refactoring internal for RESTBase, relevant endpoint spec is located here

I've came up with a response schema by looking at several api responses, but it needs to be verified as I might have missed some optional fields.

Another thing we should settle on is what's returned by the service in case of an unsupported language. Now it just returns 500 error, which's passed back to the user. This should be changed in the service to 404, or may be 501.

The definitions endpoint in RESTBase is life in production: https://en.wiktionary.org/api/rest_v1/?doc#!/Page_content/get_page_definition_term

So, I'm closing this task.

Pchelolo closed this task as Resolved.Jan 13 2016, 11:11 PM
Nemo_bis added a subscriber: Nemo_bis.EditedFeb 13 2016, 7:11 PM

Is there still no wiki page on this service and its expected usage? What am I supposed to link if I want to tell people that it exists, how to use it and where it's heading?

Hi all -- Nemo's asking for some documentation on this service. Any chance we can get this scheduled? Happy to help find the appropriate resources.

-Toby

Danny_B added a subscriber: Danny_B.